./wip/neovim-git, Refactor vim for the 21st century

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.2.1nb20171118, Package name: neovim-0.2.1nb20171118, Maintainer: pkgsrc-users

Neovim is a project that seeks to aggressively refactor Vim in order to:

+ Enable the implementation of new/modern user interfaces without any
modifications to the core source
+ Improve extensibility with a new plugin architecture
+ Simplify maintenance and encourage contributions
+ Split the work between multiple developers

The changes implemented should have little impact on vim's editing model or
vimscript in general. Most vimscript plugins should continue to work normally.


Required to run:
[lang/python27] [devel/msgpack] [devel/lua-lpeg] [devel/libuv] [wip/lua-MessagePack] [wip/libunibilium] [wip/libvterm]

Required to build:
[devel/git-base] [pkgtools/cwrappers]

Package options: python, ruby

Master sites:


Version history: (Expand)